Package org.opensaml.xacml.profile.saml

# Interface XACMLPolicyQueryType

All Superinterfaces:
  `RequestAbstractType`, `SAMLObject`, `SignableSAMLObject`, `SignableXMLObject`, `XACMLObject`, `XMLObject`

All Known Implementing Classes:
  `XACMLPolicyQueryTypeImpl`

public interface XACMLPolicyQueryType extends RequestAbstractType, XACMLObject
A SAML XACML profile XACMLPolicyQuery schema type.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
Element local name.
`static final QName`
`DEFAULT_ELEMENT_NAME_XACML10`
Default element name for XACML 1.0.
`static final QName`
`DEFAULT_ELEMENT_NAME_XACML11`
Default element name for XACML 1.1.
`static final QName`
`DEFAULT_ELEMENT_NAME_XACML20`
Default element name for XACML 2.0.
`static final QName`
`DEFAULT_ELEMENT_NAME_XACML30`
Default element nam for XACML 3.0.
`static final String`
`TYPE_LOCAL_NAME`
Local name of the XSI type.
`static final QName`
`TYPE_NAME_XACML10`
QName of the XSI type.XACML1.0.
`static final QName`
`TYPE_NAME_XACML11`
QName of the XSI type.XACML1.1.
`static final QName`
`TYPE_NAME_XACML20`
QName of the XSI type.XACML2.0.
`static final QName`
`TYPE_NAME_XACML30`
QName of the XSI type.XACML3.0.

### Fields inherited from interface org.opensaml.saml.saml2.core.RequestAbstractType

`CONSENT_ATTRIB_NAME, DESTINATION_ATTRIB_NAME, EXPLICIT_CONSENT, ID_ATTRIB_NAME, IMPLICIT_CONSENT, INAPPLICABLE_CONSENT, ISSUE_INSTANT_ATTRIB_NAME, ISSUE_INSTANT_ATTRIB_QNAME, OBTAINED_CONSENT, PRIOR_CONSENT, TYPE_NAME, UNAVAILABLE_CONSENT, UNSPECIFIED_CONSENT, VERSION_ATTRIB_NAME`

## Method Summary

Modifier and Type
Method
Description
`List<IdReferenceType>`
`getPolicyIdReferences()`
Gets the IDs for referenced policies.
`List<IdReferenceType>`
`getPolicySetIdReferences()`
Gets the IDs for referenced policy sets.
`List<RequestType>`
`getRequests()`
Gets the Requests inside the policy query.

### Methods inherited from interface org.opensaml.saml.saml2.core.RequestAbstractType

`getConsent, getDestination, getExtensions, getID, getIssueInstant, getIssuer, getVersion, setConsent, setDestination, setExtensions, setID, setIssueInstant, setIssuer, setVersion`

### Methods inherited from interface org.opensaml.saml.common.SignableSAMLObject

`getSignatureReferenceID`

### Methods inherited from interface org.opensaml.xmlsec.signature.SignableXMLObject

`getSignature, isSigned, setSignature`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### DEFAULT_ELEMENT_LOCAL_NAME

static final String DEFAULT_ELEMENT_LOCAL_NAME
Element local name.

See Also:
  - Constant Field Values

### DEFAULT_ELEMENT_NAME_XACML10

static final QName DEFAULT_ELEMENT_NAME_XACML10
Default element name for XACML 1.0.

### DEFAULT_ELEMENT_NAME_XACML11

static final QName DEFAULT_ELEMENT_NAME_XACML11
Default element name for XACML 1.1.

### DEFAULT_ELEMENT_NAME_XACML20

static final QName DEFAULT_ELEMENT_NAME_XACML20
Default element name for XACML 2.0.

### DEFAULT_ELEMENT_NAME_XACML30

static final QName DEFAULT_ELEMENT_NAME_XACML30
Default element nam for XACML 3.0.

### TYPE_LOCAL_NAME

static final String TYPE_LOCAL_NAME
Local name of the XSI type.

See Also:
  - Constant Field Values

### TYPE_NAME_XACML10

static final QName TYPE_NAME_XACML10
QName of the XSI type.XACML1.0.

### TYPE_NAME_XACML11

static final QName TYPE_NAME_XACML11
QName of the XSI type.XACML1.1.

### TYPE_NAME_XACML20

static final QName TYPE_NAME_XACML20
QName of the XSI type.XACML2.0.

### TYPE_NAME_XACML30

static final QName TYPE_NAME_XACML30
QName of the XSI type.XACML3.0.

## Method Details

### getRequests

List<RequestType> getRequests()
Gets the Requests inside the policy query.

Returns:
  the XACML Request

### getPolicySetIdReferences

List<IdReferenceType> getPolicySetIdReferences()
Gets the IDs for referenced policy sets.

Returns:
  IDs for referenced policy sets

### getPolicyIdReferences

List<IdReferenceType> getPolicyIdReferences()
Gets the IDs for referenced policies.

Returns:
  IDs for referenced policies